package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers/factor_edb_series:FactorEdbSeriesController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers/factor_edb_series:FactorEdbSeriesController"],
		beego.ControllerComments{
			Method:           "ChartRecalculate",
			Router:           `/chart_recalculate`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers/factor_edb_series:FactorEdbSeriesController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers/factor_edb_series:FactorEdbSeriesController"],
		beego.ControllerComments{
			Method:           "Recalculate",
			Router:           `/recalculate`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers/open:EdbInfoController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers/open:EdbInfoController"],
		beego.ControllerComments{
			Method:           "Detail",
			Router:           `/edb/detail`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BaseFromTradeAnalysisController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BaseFromTradeAnalysisController"],
		beego.ControllerComments{
			Method:           "EdbRefresh",
			Router:           `/edb/refresh`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"],
		beego.ControllerComments{
			Method:           "Add",
			Router:           `/add`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"],
		beego.ControllerComments{
			Method:           "DelIndexData",
			Router:           `/data/del`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"],
		beego.ControllerComments{
			Method:           "Edit",
			Router:           `/edit`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"],
		beego.ControllerComments{
			Method:           "HandleBusinessIndexData",
			Router:           `/handle`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"],
		beego.ControllerComments{
			Method:           "DelIndex",
			Router:           `/index/del`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:BusinessIndexController"],
		beego.ControllerComments{
			Method:           "Refresh",
			Router:           `/refresh`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "Add",
			Router:           `/add`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "SaveAdjust",
			Router:           `/adjust/save`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "Calculate",
			Router:           `/base`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "StepCalculate",
			Router:           `/base/step_calculate`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "BatchEdit",
			Router:           `/batch/edit`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "BatchEditMulti",
			Router:           `/batch/edit/multi`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "BatchSave",
			Router:           `/batch/save`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "BatchSaveMulti",
			Router:           `/batch/save/multi`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "CalculateComputeCorrelation",
			Router:           `/compute_correlation`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "ResetCustomAnalysisData",
			Router:           `/custom_analysis/reset`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "Edit",
			Router:           `/edit`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:CalculateController"],
		beego.ControllerComments{
			Method:           "Refresh",
			Router:           `/refresh`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbClassifyController"],
		beego.ControllerComments{
			Method:           "GetOrAdd",
			Router:           `/get_or_add`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"],
		beego.ControllerComments{
			Method:           "ResetEdbClassify",
			Router:           `/classify_reset`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"],
		beego.ControllerComments{
			Method:           "CopyCalculateFromHz",
			Router:           `/copy/calculate/from/hz`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"],
		beego.ControllerComments{
			Method:           "CopyFromHz",
			Router:           `/copy/from/hz`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"],
		beego.ControllerComments{
			Method:           "EdbIndexDetail",
			Router:           `/detail`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoController"],
		beego.ControllerComments{
			Method:           "RefreshCheck",
			Router:           `/refresh_check`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoStatController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbInfoStatController"],
		beego.ControllerComments{
			Method:           "SetEdbSourceStat",
			Router:           `/source_update`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbRefreshController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbRefreshController"],
		beego.ControllerComments{
			Method:           "GetDefaultConfigList",
			Router:           `/config/default/list`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbRefreshController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbRefreshController"],
		beego.ControllerComments{
			Method:           "GetMysteelIndexConfigList",
			Router:           `/config/mysteel_index/list`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbRefreshController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:EdbRefreshController"],
		beego.ControllerComments{
			Method:           "GetSmmConfigList",
			Router:           `/config/smm/list`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:GnController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:GnController"],
		beego.ControllerComments{
			Method:           "Refresh",
			Router:           `/refresh`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:ManualController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:ManualController"],
		beego.ControllerComments{
			Method:           "Add",
			Router:           `/add`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:ManualController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:ManualController"],
		beego.ControllerComments{
			Method:           "Refresh",
			Router:           `/refresh`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictCalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictCalculateController"],
		beego.ControllerComments{
			Method:           "CalculateBatchSave",
			Router:           `/batch/save`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictCalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictCalculateController"],
		beego.ControllerComments{
			Method:           "CalculateComputeCorrelation",
			Router:           `/compute_correlation`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictCalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictCalculateController"],
		beego.ControllerComments{
			Method:           "Refresh",
			Router:           `/refresh`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictCalculateController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictCalculateController"],
		beego.ControllerComments{
			Method:           "Save",
			Router:           `/save`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictController"],
		beego.ControllerComments{
			Method:           "CalculateByNinePreview",
			Router:           `/calculate_by_nine/preview`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictController"],
		beego.ControllerComments{
			Method:           "Refresh",
			Router:           `/refresh`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PredictController"],
		beego.ControllerComments{
			Method:           "Save",
			Router:           `/save`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PythonController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PythonController"],
		beego.ControllerComments{
			Method:           "Add",
			Router:           `/add`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PythonController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PythonController"],
		beego.ControllerComments{
			Method:           "Edit",
			Router:           `/edit`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PythonController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:PythonController"],
		beego.ControllerComments{
			Method:           "ExcePython",
			Router:           `/exec`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:StockPlantController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:StockPlantController"],
		beego.ControllerComments{
			Method:           "Calculate",
			Router:           `/calculate`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:StockPlantController"] = append(beego.GlobalControllerRouter["eta_gn/eta_index_lib/controllers:StockPlantController"],
		beego.ControllerComments{
			Method:           "Refresh",
			Router:           `/refresh`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

}
