// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"eta_gn/eta_index_lib/controllers"
	"eta_gn/eta_index_lib/controllers/factor_edb_series"
	"eta_gn/eta_index_lib/controllers/open"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/edbapi",
		beego.NSNamespace("/manual",
			beego.NSInclude(
				&controllers.ManualController{},
			),
		),
		beego.NSNamespace("/calculate",
			beego.NSInclude(
				&controllers.CalculateController{},
			),
		),
		beego.NSNamespace("/python",
			beego.NSInclude(
				&controllers.PythonController{},
			),
		),
		beego.NSNamespace("/predict_calculate",
			beego.NSInclude(
				&controllers.PredictCalculateController{},
			),
		),
		beego.NSNamespace("/predict",
			beego.NSInclude(
				&controllers.PredictController{},
			),
		),
		beego.NSNamespace("/stock_plant",
			beego.NSInclude(
				&controllers.StockPlantController{},
			),
		),
		beego.NSNamespace("/open",
			beego.NSInclude(
				&open.EdbInfoController{},
			),
		),
		beego.NSNamespace("/classify",
			beego.NSInclude(
				&controllers.EdbClassifyController{},
			),
		),
		beego.NSNamespace("/edb_info",
			beego.NSInclude(
				&controllers.EdbInfoController{},
			),
		),
		beego.NSNamespace("/edb_info_calculate",
			beego.NSInclude(
				&controllers.EdbInfoCalculateController{},
			),
		),
		beego.NSNamespace("/gn_index",
			beego.NSInclude(
				&controllers.GnController{},
			),
		),
		beego.NSNamespace("/edb_stat",
			beego.NSInclude(
				&controllers.EdbInfoStatController{},
			),
		),
		beego.NSNamespace("/edb_refresh",
			beego.NSInclude(
				&controllers.EdbRefreshController{},
			),
		),
		beego.NSNamespace("/business_index",
			beego.NSInclude(
				&controllers.BusinessIndexController{},
			),
		),
		beego.NSNamespace("/factor_edb_series",
			beego.NSInclude(
				&factor_edb_series.FactorEdbSeriesController{},
			),
		),
		beego.NSNamespace("/trade_analysis",
			beego.NSInclude(
				&controllers.BaseFromTradeAnalysisController{},
			),
		),
	)
	beego.AddNamespace(ns)
}
